net.minecraftforge.common

## Enum ForgeChunkManager.Type

- java.lang.Object
- - java.lang.Enum<ForgeChunkManager.Type>
  - - net.minecraftforge.common.ForgeChunkManager.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ForgeChunkManager.Type>
  Enclosing class:
    ForgeChunkManager

      public static enum ForgeChunkManager.Type
      extends java.lang.Enum<ForgeChunkManager.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENTITY` For entity registrations
    `NORMAL` For non-entity registrations

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ForgeChunkManager.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ForgeChunkManager.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final ForgeChunkManager.Type NORMAL

      For non-entity registrations

    - #### ENTITY

          public static final ForgeChunkManager.Type ENTITY

      For entity registrations

  - ### Method Detail

    - #### values

          public static ForgeChunkManager.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ForgeChunkManager.Type c : ForgeChunkManager.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ForgeChunkManager.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null